package org.ts.ddcs.Entity;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class RiverEntity {
    private String STCD;//测站编码
    private Timestamp TM;//采集时间
    private BigDecimal Z;//水位
    private BigDecimal Q;//流量
    private BigDecimal XSA;//断面过水面积
    private BigDecimal XSAVV;//断面平均流速
    private BigDecimal XSMXV;//断面最大流速
    private String FLWCHRCD;//河水特征码
    private String WPTN;//水势
    private String MSQMT;//测流方法
    private String MSAMT;//测积方法
    private String MSVMT;//测速方法
    private Timestamp DT;//报文发送时间
    private Timestamp TS;//接收时间

    public String getSTCD() {
        return STCD;
    }

    public void setSTCD(String STCD) {
        this.STCD = STCD;
    }

    public Timestamp getTM() {
        return TM;
    }

    public void setTM(Timestamp TM) {
        this.TM = TM;
    }

    public BigDecimal getZ() {
        return Z;
    }

    public void setZ(BigDecimal z) {
        Z = z;
    }

    public BigDecimal getQ() {
        return Q;
    }

    public void setQ(BigDecimal q) {
        Q = q;
    }

    public BigDecimal getXSA() {
        return XSA;
    }

    public void setXSA(BigDecimal XSA) {
        this.XSA = XSA;
    }

    public BigDecimal getXSAVV() {
        return XSAVV;
    }

    public void setXSAVV(BigDecimal XSAVV) {
        this.XSAVV = XSAVV;
    }

    public BigDecimal getXSMXV() {
        return XSMXV;
    }

    public void setXSMXV(BigDecimal XSMXV) {
        this.XSMXV = XSMXV;
    }

    public String getFLWCHRCD() {
        return FLWCHRCD;
    }

    public void setFLWCHRCD(String FLWCHRCD) {
        this.FLWCHRCD = FLWCHRCD;
    }

    public String getWPTN() {
        return WPTN;
    }

    public void setWPTN(String WPTN) {
        this.WPTN = WPTN;
    }

    public String getMSQMT() {
        return MSQMT;
    }

    public void setMSQMT(String MSQMT) {
        this.MSQMT = MSQMT;
    }

    public String getMSAMT() {
        return MSAMT;
    }

    public void setMSAMT(String MSAMT) {
        this.MSAMT = MSAMT;
    }

    public String getMSVMT() {
        return MSVMT;
    }

    public void setMSVMT(String MSVMT) {
        this.MSVMT = MSVMT;
    }

    public Timestamp getDT() {
        return DT;
    }

    public void setDT(Timestamp DT) {
        this.DT = DT;
    }

    public Timestamp getTS() {
        return TS;
    }

    public void setTS(Timestamp TS) {
        this.TS = TS;
    }
}
